*{
    box-sizing: border-box;
    font-family: "seoge UI", Arial, sans-serif;
}
.container{
    width: 100%;
    margin: 0 auto;
    padding: 0 30px;
    box-sizing: border-box;
}
body {
    margin: 0;
    padding: 0;
    background: #000000;
    color: white;
}
h1 {
    text-align: center;
    color: #c79c00;
    margin-bottom: 70px;
    margin-top:50px;
}
h2 {
    border-bottom: 2px solid #640000;
    text-align: center;
    padding-bottom: 8px;
}
h4 {
    margin-bottom: 8px;
    color: white;
}
h6 {
    color: #6b6b6a;
    text-align: center;
    margin-top: 20px;
    font-size: 14px;
    font-style: italic;
}
.form-group, .form-group2, .inputSettings, .outputSettings, .costumSettings, .costumOutputFile {
    padding: 15px;
    margin: 15px;
}
input[type="text"], input[type="file"], select{
    height: 42px;
    width: 100%;
    padding: 10px;
    background: #111;
    color: white;
    border: 1px solid #444;
    border-radius: 6px;
    margin-bottom: 10px;
}
input[type="text"]:focus,
select:focus {
    outline: none;
    border-color: #c79c00;
    box-shadow: 0 0 8px #c79c00;
}
button {
    display: block;
    width: 95%;
    text-align: center;
    padding: 14px;
    margin: 20px auto;
    background: #006e06;
    border-radius: 15px;
    font-size: 18px;
    font-weight: bold;
    color: #c79c00;
    cursor: pointer;
    transition: 0.2s;
}
button:hover {
    background: #a7ac00;
    transform: scale(1.05);
    color: black;
}
button:active {
    transform: scale(0.95);
}
input [type="checkbox"] {
    width: auto;
    margin-right: 10px;
    transform: scale(1.3);
}
.hiddenPanel {
    background: black;
    border-left: 4px solid rgba(170, 0, 0, 0.667);
    border-right: 4px solid rgba(170, 0, 0, 0.667);
    padding: 15px;
    border-radius: 8px;
}
.terminal-container {
    margin-top: 25px;
    background: black;
    border-radius: 8px;
    padding: 15px;
    border: 1px solid #333;
}
.terminal-container h4 {
    color:#c79c00;
}
#terminalOutput {
    min-height: 250px;
    max-height: 7500px;
    overflow-y: auto;
    background: #050505;
    padding: 15px;
    border-radius: 6px;
    color: rgb(28, 213, 0);
    font-family: "Courier New", monospace;
    font-size: 16px;
    white-space: pre-wrap;
}
#errorBox {
    margin-top: 15px;
    padding: 10px;
    border-radius: 6px;
    color: #ffffff;
    font-weight:bold;
}
input[type="file"], select {
    cursor: pointer;
    box-shadow: 0 0 5px #a7ac00;
}

input[type="text"], 
input[type="file"], 
select {
    cursor: pointer;
    border: 1px solid #444; 
    box-shadow: 0 0 5px #a7ac00 !important; 
    transition: all 0.2s ease;
}


input[type="text"]:focus,
select:focus {
    outline: none;
    border-color: #c79c00;
    box-shadow: 0 0 10px #c79c00 !important;
}

input[type="text"]:focus {
    outline: none;
    border-color: #a7ac00;
    box-shadow: 0 0 5px #a7ac00;
}
.main-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
}